#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long a, c, k, n, x;
    scanf("%lld%lld%lld", &n, &k, &x);
    long long p[n+1];
    for(long long i=1; i<=n; i++)
        scanf("%lld", &p[i]);
    long long ok;
    long long br=0, odg[n-k+1];
    for(long long i=1; i<=n, 0<=p[i]; i++)
    if(i==n) ok=1;
    else ok=0;
    if(ok)
    {
        for(long long i=1; i<=n-k; i++)
    {
        a=0;
        long long b[k+1];
        long long m=i;
        for(long long j=1; j<=k; j++)
            b[j]=p[m++];
        c=1;
        for(long long j=1; j<=k; j++)
        {
            a+=c*b[j];
            if(c<x) c++;
        }
        odg[br]=a;
        br++;
    }
    for(long long i=0; i<n-k+1; i++)
        printf("%lld ", odg[i]);
    }


}